<?php
/*
Plugin Name: CubePoints Buddypress Integration
Plugin URI: http://blog.slyspyder.com/2010/04/21/cubepoints-buddypress-integration-wordpress-plugin/
Description: Adds CubePoints support to Buddypress. Reward members using your BuddyPress portion of your website by giving them points!
Version: 1.7.6.5
Revision Date: September 20, 2010
Requires at least: WP 2.9.2, BuddyPress 1.2.3, Cubepoints 2.1.3
Tested up to: WP 3.0.1, BuddyPress 1.2.5.2, CubePoints 2.1.3
License: (Point: GNU General Public License 2.0 (GPL) http://www.gnu.org/licenses/gpl.html)
Author: Tosh Hatch
Author URI: http://www.SlySpyder.com
Contributors: @xberserker, @thekmen, @r-a-y
Site Wide Only: false
*/
/* Only load the component if BuddyPress is loaded and initialized. */
function bp_cubepoint_init() {

	/* Define a constant that will hold the current version number of the component */
	define ( 'BP_CUBEPOINT_VERSION', '1.8' );
	
	require( dirname( __FILE__ ) . '/includes/bp-cubepoint-core.php' );
	
	do_action('bp_cubepoint_init');
}
add_action( 'bp_init', 'bp_cubepoint_init' );


// Moved this function to loader.php file because this is the standard place for it
// and it will get very large once we add database upgrade code to migrate plugin versions
function bp_cubepoint_install(){

}

register_activation_hook( __FILE__, 'bp_cubepoint_install' );



function bp_cubepoint_activate() {
	add_option('bp_cubepoint_per_page', 20);
	add_option('bp_create_group_add_cp_bp', 100);
	add_option('bp_delete_group_add_cp_bp', -100);
	add_option('bp_join_group_add_cp_bp', -25);
	add_option('bp_leave_group_add_cp_bp', 25);	
	add_option('bp_update_post_add_cp_bp', 5);
	add_option('bp_update_comment_add_cp_bp', 5);
	add_option('bp_update_group_add_cp_bp', 5);
	add_option('bp_delete_comment_add_cp_bp', -5);
	add_option('bp_friend_add_cp_bp', 15);
	add_option('bp_friend_delete_add_cp_bp', -15);
	add_option('bp_forum_new_topic_add_cp_bp', 20);
	add_option('bp_forum_new_post_add_cp_bp', 5);
	add_option('bp_group_avatar_add_cp_bp', 5);
	add_option('bp_avatar_add_cp_bp', 5);
	add_option('bp_pm_cp_bp', 1);
	add_option('bp_bplink_add_cp_bp', 0);
	add_option('bp_bplink_vote_add_cp_bp', 0);
	add_option('bp_bplink_comment_add_cp_bp', 0);
	add_option('bp_bplink_delete_add_cp_bp', 0);
	add_option('bp_gift_given_cp_bp', 0);
	add_option('bp_gallery_upload_cp_bp', 0);
	add_option('bp_gallery_delete_cp_bp', 0);
	add_option('bp_spammer_cp_bp', '');
	add_option('bp_slug_cp_bp', 'cubepoints');
	add_option('bp_points_logs_per_page_cp_bp', 20);
	add_option('bp_sitewide_menu_cp_bp', true);
	add_option('bp_sitewidemtitle_cp_bp', 'Sitewide Points');
	add_option('bp_earnpoints_menu_cp_bp', true);
	add_option('bp_earnpoints_menutitle_cp_bp', 'Point Legend');
	add_option('bp_earnpointstitle_cp_bp', 'Here is how you can earn points');
	add_option('bp_earnpoints_extra_cp_bp', '');
	add_option('bp_leaderboard_onoff_cp_bp', true);	
	add_option('bp_leaderboardtitle_cp_bp', 'Top 15 Members');
	add_option('bp_leaderboard_cp_bp', 15);
}
register_activation_hook( __FILE__, 'bp_cubepoint_activate' );

function bp_cubepoint_deactivate() {
	delete_option('bp_cubepoint_per_page');
	delete_option('bp_create_group_add_cp_bp');
	delete_option('bp_delete_group_add_cp_bp');
	delete_option('bp_join_group_add_cp_bp');
	delete_option('bp_leave_group_add_cp_bp');
	delete_option('bp_update_post_add_cp_bp');
	delete_option('bp_update_comment_add_cp_bp');
	delete_option('bp_update_group_add_cp_bp');
	delete_option('bp_delete_comment_add_cp_bp');
	delete_option('bp_friend_add_cp_bp');
	delete_option('bp_friend_delete_add_cp_bp');
	delete_option('bp_forum_new_topic_add_cp_bp');
	delete_option('bp_forum_new_post_add_cp_bp');
	delete_option('bp_group_avatar_add_cp_bp');
	delete_option('bp_avatar_add_cp_bp');
	delete_option('bp_pm_cp_bp');
	delete_option('bp_bplink_add_cp_bp');
	delete_option('bp_bplink_vote_add_cp_bp');
	delete_option('bp_bplink_comment_add_cp_bp');
	delete_option('bp_bplink_delete_add_cp_bp');
	delete_option('bp_gift_given_cp_bp');
	delete_option('bp_gallery_upload_cp_bp');		
	delete_option('bp_gallery_delete_cp_bp');
	delete_option('bp_spammer_cp_bp');
	delete_option('bp_slug_cp_bp');
	delete_option('bp_points_logs_per_page_cp_bp');
	delete_option('bp_sitewide_menu_cp_bp');
	delete_option('bp_sitewidemtitle_cp_bp');
	delete_option('bp_earnpoints_menu_cp_bp');	
	delete_option('bp_earnpoints_menutitle_cp_bp');
	delete_option('bp_earnpointstitle_cp_bp');
	delete_option('bp_earnpoints_extra_cp_bp');
	delete_option('bp_leaderboard_onoff_cp_bp');
	delete_option('bp_leaderboardtitle_cp_bp');
	delete_option('bp_leaderboard_cp_bp');
}
register_deactivation_hook( __FILE__, 'bp_cubepoint_deactivate' );

?>